> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zudu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone number

> Retrieves a phone number (current behavior).

## Notes

* Retrieves a specific phone number by its E.164 format


## OpenAPI

````yaml get /api/phone-numbers/{phoneNumber}
openapi: 3.0.3
info:
  title: Zudu API
  description: >-
    Comprehensive REST API for LiveKit Backend - Call Management, Agent
    Configuration, and Real-time Communication Services
  version: 1.0.0
  contact:
    name: Zudu AI Team
    url: https://zudu.ai
    email: support@zudu.ai
  license:
    name: Proprietary
    url: https://zudu.ai/license
servers:
  - url: https://api.zudu.ai
    description: Production (Customer-facing)
security:
  - apiKey: []
    apiSecret: []
tags:
  - name: Agent Management
    description: Create and manage AI agents
  - name: Call Data Management
    description: Call records and history
  - name: Customer API Keys
    description: Manage API keys
  - name: Post-Call Webhooks
    description: Webhook configuration
  - name: phone-number-controller
    description: Phone numbers
  - name: batch-call-controller
    description: Batch calls
  - name: MCP Server Management
    description: MCP servers
  - name: Knowledge Base Management
    description: Knowledge bases
  - name: Call Analysis
    description: Call analysis
paths:
  /api/phone-numbers/{phoneNumber}:
    get:
      tags:
        - phone-number-controller
      operationId: getPhoneNumber
      parameters:
        - name: phoneNumber
          in: path
          required: true
          schema:
            type: string
          description: E.164 format phone number (e.g. +14157774444)
      responses:
        '200':
          description: Phone number retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: object
              example:
                message: Phone number retrieved successfully
                status: success
                error: null
                data:
                  phone_number: '+14157774444'
                  organization_id: org_123
                  phone_number_pretty: +1 (415) 777-4444
                  area_code: 415
                  nickname: Customer Service Line
                  phone_number_type: zudu-twilio
                  inbound_agent_id: agent_abc123
                  outbound_agent_id: agent_xyz789
                  inbound_agent_version: 1
                  outbound_agent_version: 1
                  inbound_webhook_url: https://example.com/webhook
                  number_provider: twilio
                  outbound_trunk_id: ST_4Xo2mZgQsfyQ
                  created_at: '2024-01-15T10:30:00Z'
                  updated_at: '2024-01-15T10:30:00Z'
                  last_modification_timestamp: 1703413636133
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key for MCP server and external service authentication
      name: X-API-KEY
      in: header
    apiSecret:
      type: apiKey
      description: API Secret for MCP server and external service authentication
      name: X-API-SECRET
      in: header

````